import { HeaderObject } from "..";
import { HandleResizeStartProps } from "../types/HandleResizeStartProps";
/**
 * Update the width of a section (left, right, or main)
 */
export declare const updateSectionWidth: ({ header, headers, newWidth, setMainBodyWidth, setPinnedLeftWidth, setPinnedRightWidth, }: {
    header: HeaderObject;
    headers: HeaderObject[];
    newWidth: number;
    setMainBodyWidth: (width: number) => void;
    setPinnedLeftWidth: (width: number) => void;
    setPinnedRightWidth: (width: number) => void;
}) => void;
/**
 * Handler for when resize dragging starts
 */
export declare const handleResizeStart: ({ event, forceUpdate, gridColumnEnd, gridColumnStart, header, headersRef, setMainBodyWidth, setPinnedLeftWidth, setPinnedRightWidth, startWidth, }: HandleResizeStartProps) => void;
/**
 * Recalculate widths for all sections (left, right, main)
 */
export declare const recalculateAllSectionWidths: ({ headers, setMainBodyWidth, setPinnedLeftWidth, setPinnedRightWidth, }: {
    headers: HeaderObject[];
    setMainBodyWidth: (width: number) => void;
    setPinnedLeftWidth: (width: number) => void;
    setPinnedRightWidth: (width: number) => void;
}) => {
    leftWidth: number;
    rightWidth: number;
    mainWidth: number;
};
